<template>
  <button type='button' class="rounded-lg p-4 text-purple-100 dark:text-purple-700 bg-purple-600 dark:bg-purple-300 w-32 sm:w-40 md:w-48 lg:w-52 xl:w-56 2xl:w-60 hover:bg-purple-900 dark:hover:bg-purple-400">
    <slot></slot>
  </button>
</template>

<script lang="ts">
import { defineComponent } from 'vue';

export default defineComponent({
  name: 'Button'
});
</script>
